// FILENAME:	CnH_Mercury.cs
//
// AUTHOR:  	Killin is fun
//------------------------------------------------------------------------------

$missionName = "CnH_Mercury";

exec("multiplayerStdLib.cs");
exec("CnHStdLib.cs");


function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	

   // what can the client choose for a team
	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = true;
   $server::disableTeamYellow = false;
   $server::disableTeamPurple = false;
}

function onMissionStart()
{
  %capture1 = getObjectId("MissionGroup\\B1\\trigger");
  %capture1.timeToCapture = 5;
  %capture1.timeCounted = 0;
  %capture1.lastVehicle = 0;
  %capture1.owner = 0;
  %capture1.secondsToHold = 60;
  %capture1.heldFor = 0;
  %capture1.name = "Alpha Base";
  %capture1.points = 10;
  %capture1.zen = 1;
  %capture1.spoils = 5;
  %capture1.spoil[0] = "MissionGroup\\B1\\T1";
  %capture1.spoil[1] = "MissionGroup\\B1\\T2";
  %capture1.spoil[2] = "MissionGroup\\B1\\T3";
  %capture1.spoil[3] = "MissionGroup\\B1\\T4";
  %capture1.spoil[4] = "MissionGroup\\B1\\nav";

  %capture2 = getObjectId("MissionGroup\\B2\\trigger");
  %capture2.timeToCapture = 5;
  %capture2.timeCounted = 0;
  %capture2.lastVehicle = 0;
  %capture2.owner = 0;
  %capture2.secondsToHold = 60;
  %capture2.heldFor = 0;
  %capture2.name = "Bravo Base";
  %capture2.points = 10;
  %capture2.zen = 1;
  %capture2.spoils = 5;
  %capture2.spoil[0] = "MissionGroup\\B2\\T1";
  %capture2.spoil[1] = "MissionGroup\\B2\\T2";
  %capture2.spoil[2] = "MissionGroup\\B2\\T3";
  %capture2.spoil[3] = "MissionGroup\\B2\\T4";
  %capture2.spoil[4] = "MissionGroup\\B2\\nav";

  %capture3 = getObjectId("MissionGroup\\B3\\trigger");
  %capture3.timeToCapture = 5;
  %capture3.timeCounted = 0;
  %capture3.lastVehicle = 0;
  %capture3.owner = 0;
  %capture3.secondsToHold = 60;
  %capture3.heldFor = 0;
  %capture3.name = "Charlie Base";
  %capture3.points = 10;
  %capture3.zen = 1;
  %capture3.spoils = 4;
  %capture3.spoil[0] = "MissionGroup\\B3\\T1";
  %capture3.spoil[1] = "MissionGroup\\B3\\T2";
  %capture3.spoil[2] = "MissionGroup\\B3\\T3";
  %capture3.spoil[3] = "MissionGroup\\B3\\nav";

  %capture4 = getObjectId("MissionGroup\\B4\\trigger");
  %capture4.timeToCapture = 5;
  %capture4.timeCounted = 0;
  %capture4.lastVehicle = 0;
  %capture4.owner = 0;
  %capture4.secondsToHold = 60;
  %capture4.heldFor = 0;
  %capture4.name = "Delta Base";
  %capture4.points = 10;
  %capture4.zen = 1;
  %capture4.spoils = 4;
  %capture4.spoil[0] = "MissionGroup\\B4\\T1";
  %capture4.spoil[1] = "MissionGroup\\B4\\T2";
  %capture4.spoil[2] = "MissionGroup\\B4\\T3";
  %capture4.spoil[3] = "MissionGroup\\B4\\nav";

  windSounds();
  mercurySounds();
}

function onMissionLoad()
{
   cdAudioCycle("CloudBurst", "Newtech", "Mechsoul");
}

