// FILENAME: Server_CH.cs
//
//Capture and Hold Server with no cloaks


exec(serverLocation);
//-------------------------------------------------
//  RC file to start a server automatically
//-------------------------------------------------

//-------------------------------------------------
// Edit the parameters of this file to configure
// your server options. Use notepad, not a word
// processor. File must be saved as text only.
//-------------------------------------------------

//-------------------------------------------------
// Type the name for your server inside the quotes
// Must be less then 22 characters
//-------------------------------------------------
$server::Hostname =                                strcat("Capture and Hold");

//-------------------------------------------------
// Password Protection. Leave blank for none.
// Quotes optional.
//-------------------------------------------------
$server::Password =                                 "";

//-------------------------------------------------
// Maximum player limit. 16 is highest recommended.
//-------------------------------------------------
$server::MaxPlayers =                              16;



//-------------------------------------------------
// Number of team points before server cycles.
// If zero, point limit is 9999.
//-------------------------------------------------
$server::PointLimit =                               500;

//-------------------------------------------------
// Number of kills before server cycles.
// If zero, kills are never reset.
//-------------------------------------------------
$server::FragLimit =                               0;

//-------------------------------------------------
// Time limit in minutes before server cycles.
// Must be a positive integer.
//-------------------------------------------------
$server::TimeLimit =                               30;

//-------------------------------------------------
// Mass limit per player
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::MassLimit =                                0;

//-------------------------------------------------
// Combat Value limit per player
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::CombatValueLimit =                         0;

//-------------------------------------------------
// Team play options. TeamPlay false =  deathmatch.
// TeamPlay true = teams
//-------------------------------------------------
$server::TeamPlay =                                TRUE;
$server::AllowTeamRed =                              FALSE  ;
$server::AllowTeamYellow =                           TRUE  ;
$server::AllowTeamBlue  =                           FALSE  ;
$server::AllowTeamPurple =                          TRUE ;

//-------------------------------------------------
// Team Mass limit - valid only when teamPlay is true
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::TeamMassLimit =                            0;

//-------------------------------------------------
// Team Combat Value Limit - valid only when teamPlay is true
// Must be a positive integer or zero for no limit.
//-------------------------------------------------
$server::TeamCombatValueLimit =                     0;

//-------------------------------------------------
// Tech Level Limit
// Must be a positive integer less then or
// equal to 128 or zero for no limit.
//-------------------------------------------------
$server::TechLevelLimit =                          0;

//-------------------------------------------------
// Drop In Progress
// Does server allow drop in progress??
//-------------------------------------------------
$server::DropInProgress =                            TRUE  ;

$server::AllowMixedTech =                            TRUE  ;
$server::FactoryVehOnly =                           FALSE  ;

//-------------------------------------------------
// Mission rotation list. This is the order the
// worlds will cycle in a game with either the frag
// or time limits set.
//-------------------------------------------------
$MissionCycling::Stage0 =                          "CnH_Point_of_Contention_2";
$MissionCycling::Stage1 =                          "CnH_City_on_the_Edge_2";
$MissionCycling::Stage2 =                          "CnH_Battlefield_Earth_2";
$MissionCycling::Stage3 =                          "CnH_Mercury";
$MissionCycling::Stage4 =                          "CnH_Fog_and_Fighting";
$MissionCycling::Stage5 =                          "CnH_Grassy_Canyon";
$MissionCycling::Stage6 =                          "CnH_Circular_Logic";
$MissionCycling::Stage7 =                          "CnH_Icy_Front";


//-------------------------------------------------
// Start mission. Defines which mission from the
// rotation list the server starts on.
//-------------------------------------------------
$server::Mission =                                  $MissionCycling::Stage0;

// These items will be allowed by default -- your mission script can change these
// by calling allowVehicle, allowComponent, or allowWeapon
function setAllowedItems()
{
	//Vehicles
	exec("defaultVehicles.cs");
	allowComponent(                                    all,      TRUE  );
  allowComponent(                                        830, FALSE  );      //Chameleon
  allowComponent(                                        831, FALSE  );      //Cuttlefish cloak
	allowWeapon(                                       all,      TRUE  );
}


if($server::PointLimit == 0) $server::PointLimit = 9999;